package com.dayou.vo;

import com.dayou.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

@Data
public class MajorBonusPointsDetailVO {

    private Integer id;

    /**
     * 项目编号
     */
    @Excel(name = "项目编号")
    private String orderId;

    /**
     * 是否金融(金融/非金融)
     */
    @Excel(name = "是否金融")
    private String financial;

    /**
     * 项目名称
     */
    @Excel(name = "项目名称")
    private String projectName;

    /**
     * 客户名称
     */
    @Excel(name = "银行/单位")
    private String customerName;

    /**
     * 产品类型
     */
    @Excel(name = "产品类型")
    private String productionType;

    /**
     * 产品号
     */
    @Excel(name = "产品号")
    private String productionNo;


    /**
     * 项目负责人
     */
    @Excel(name = "项目负责人")
    private String principalName;

    /**
     * 参与人
     */
    @Excel(name = "参与人")
    private String members;

    /**
     * 评估金额(万元)
     */
    @Excel(name = "评估金额(万元)")
    private BigDecimal evaluateAmount;

    /**
     * 评估目的
     */
    @Excel(name = "评估目的")
    private String evaluateAim;

    /**
     * 操作人
     */
    @Excel(name = "操作人")
    private String operatorName;

    /**
     * 加减分
     */
    @Excel(name = "加减分")
    private Integer score;

    /**
     * 操作时间
     */
    @Excel(name = "操作时间")
    private LocalDate operationDate;

    /**
     * 加减分原因
     */
    @Excel(name = "加减分原因")
    private String reason;

}
