package com.dayou.vo;

import com.dayou.annotation.Excel;
import lombok.Data;

import java.time.LocalDate;

@Data
public class MajorOutputValueDetailVO {

    private Integer id;

    /**
     * 项目编号
     */
    @Excel(name = "项目编号")
    private String orderId;

    /**
     * 项目名称
     */
    @Excel(name = "项目名称")
    private String projectName;

    /**
     * 客户名称
     */
    @Excel(name = "客户名称")
    private String customerName;

    /**
     * 业务来源(客户子级名称)
     */
    @Excel(name = "业务来源")
    private String customerSubName;

    /**
     * 客户联系人
     */
    @Excel(name = "客户联系人")
    private String linkmanName;

    /**
     * 委托人
     */
    @Excel(name = "委托人")
    private String bailor;

    /**
     * 报告号
     */
    @Excel(name = "报告号")
    private String reportNo;

    /**
     * 项目负责人名
     */
    @Excel(name = "项目负责人")
    private String principalName;

    /**
     * 项目参与人
     */
    @Excel(name = "项目参与人")
    private String members;

    /**
     * 客户经理名
     */
    @Excel(name = "客户经理")
    private String clientManagerName;

    /**
     * 出报告时间
     */
    @Excel(name = "出报告时间")
    private LocalDate writeReportDate;

    /**
     * 产品应收款(元)
     */
    @Excel(name = "产品应收款(元)")
    private Double shouldAmount;

    /**
     * 产品实收款(元)
     */
    @Excel(name = "产品实收款(元)")
    private Double realAmount;

    /**
     * 绩效比例
     */
    @Excel(name = "绩效比例")
    private Double ratio;

    /**
     * 产值(元)
     */
    @Excel(name = "产值(元)")
    private Double outputValue;

}
