package com.dayou.vo;

import com.dayou.common.BaseEntity;
import com.dayou.entity.FinanceInvoice;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class AssetsOrderFundInvoiceVO {

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 订单收款id
     */
    private Long orderFundId;

    /**
     * 产品收款id
     */
    private Long productionFundId;

    /**
     * 产品应收款
     */
    private BigDecimal productionShouldAmount;

    /**
     * 产品实收款
     */
    private BigDecimal productionRealAmount;

    /**
     * 产品标准收费
     */
    private BigDecimal standardAmount;

    /**
     * 开票信息
     */
    List<FinanceInvoice> financeInvoiceVoList;
}
