package com.dayou.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;

@Data
public class ExternalPersonalVO {

    /**
     * 小区名字
     */
    private String communityName;
    /**
     * 坐落
     */
    private String location;
    /**
     * 区域名字
     */
    private String areaName;

    /**
     * 板块名称
     */
    private String businessName;
    /**
     * 城市名字
     */
    private String cityName;
    /**
     * 面积
     */
    private BigDecimal acreage;
    /**
     * 单价
     */
    private BigDecimal price;
    /**
     * 总价
     */
    private BigDecimal amount;

    /**
     * 链家挂牌总价
     */
    private BigDecimal upPrice;
    /**
     * 用途
     */
    private String useType;
    /**
     * 装修
     */
    private String decoration;
    /**
     * 楼层
     */
    private String floor;
    /**
     * 户型
     */
    private String houseType;

    /**
     * 朝向
     */
    private String orientation;
    /**
     * 建筑结构
     */
    private String structure;
    /**
     * 成交日期
     */
    private LocalDate dealDate;
    /**
     * 挂牌日期
     */
    private LocalDate upDate;

    /**
     * 链家网址
     */
    private String url;

    /**
     * 数据源类型
     */
    private String dataResource;
}
